fix: use tabs for indentation and add missing -j (nproc)

This commit is contained in:
Anton Livaja 2024-08-17 10:33:38 -04:00
parent 0ccccb9c2a
commit 7104c5ff85
No known key found for this signature in database
GPG key ID: 44A86CFF1FDF0E85
24 changed files with 70 additions and 70 deletions

View file

@ -22,7 +22,7 @@ RUN --network=none <<-EOF
./configure \
--build=${ARCH}-linux-musl \
--host=${ARCH}-linux-musl \
--prefix=/usr \
--prefix=/usr \
--libdir=/usr/lib \
--libexecdir=/usr/libexec
make -j "$(nproc)"

View file

@ -30,8 +30,8 @@ COPY *.patch .
RUN --network=none <<-EOF
set -eux
patch -p1 < musl-fix-testsuite.patch
./configure \
--prefix=/usr \
./configure \
--prefix=/usr \
--with-apr=/usr \
--with-ldap \
--with-pgsql \
@ -42,7 +42,7 @@ RUN --network=none <<-EOF
--without-sqlite2 \
--with-dbm=ndbm \
--with-ndbm
make -j "$(nproc)"
make -j "$(nproc)"
EOF
FROM build AS install

View file

@ -22,12 +22,12 @@ RUN --network=none <<-EOF
set -eux \
patch -p1 apr-1.6.2-dont-test-dlclose.patch
patch -p1 semtimedop-s390x.patch
./configure \
--prefix=/usr \
./configure \
--prefix=/usr \
--datadir=/usr/share \
--enable-nonportable-atomics=no \
--with-devrandom=/dev/urandom
make
make -j "$(nproc)"
EOF
FROM build as install

View file

@ -32,7 +32,7 @@ COPY *.patch .
RUN --network=none <<-EOF
set -eux \
patch -p1 remove-usage-of-fstat64.patch
cmake -B build -G Ninja \
cmake -B build -G Ninja \
-DGIT_EXECUTABLE=/bin/false \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_BUILD_TYPE=MinSizeRel \

View file

@ -25,11 +25,11 @@ RUN cargo fetch --locked
FROM fetch AS build
RUN --network=none \
cargo build \
--no-default-features \
--locked \
--release \
--target x86_64-unknown-linux-musl
cargo build \
--no-default-features \
--locked \
--release \
--target x86_64-unknown-linux-musl
FROM build AS install
WORKDIR /rootfs/usr/bin

View file

@ -40,8 +40,8 @@ EOF
FROM build AS install
RUN --network=none <<-EOF
set -eu
make DESTDIR="/rootfs" install
set -eu
make DESTDIR="/rootfs" install
EOF
FROM stagex/filesystem AS package

View file

@ -21,7 +21,7 @@ WORKDIR gdbm-${VERSION}
ENV SOURCE_DATE_EPOCH=1
RUN --network=none <<-EOF
set -eux
./configure \
./configure \
--build=${ARCH}-linux-musl \
--host=${ARCH}-linux-musl \
--prefix=/usr \

View file

@ -20,10 +20,10 @@ RUN tar -xf ${SRC_FILE}
WORKDIR hunspell-${VERSION}
RUN --network=none <<-EOF
set -eux
./configure \
./configure \
--build=${ARCH}-linux-musl \
--host=${ARCH}-linux-musl \
--prefix=/usr \
--prefix=/usr \
--with-ui \
--with-readline \
--disable-static \

View file

@ -22,11 +22,11 @@ WORKDIR libaio-libaio-${VERSION}
COPY *.patch .
RUN --network=none <<-EOF
set -eux
patch -p1 libaio-cppflags.patch
patch -p1 libaio-errno.patch
patch -p1 test-poll.patch
patch -p1 test.patch
make -j "$(nproc)"
patch -p1 libaio-cppflags.patch
patch -p1 libaio-errno.patch
patch -p1 test-poll.patch
patch -p1 test.patch
make -j "$(nproc)"
EOF
FROM build AS install

View file

@ -23,7 +23,7 @@ RUN --network=none <<-EOF
./configure \
--build=${ARCH}-linux-musl \
--host=${ARCH}-linux-musl \
--prefix=/usr \
--prefix=/usr \
--sysconfdir=/etc
make -j "$(nproc)"
EOF

View file

@ -21,7 +21,7 @@ RUN tar -xf ${SRC_FILE}
WORKDIR libiconv-${VERSION}
RUN --network=none <<-EOF
set -eux
./configure \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--enable-openssl \

View file

@ -27,8 +27,8 @@ EOF
FROM build AS install
RUN --network=none <<-EOF
set -eu
make DESTDIR="/rootfs" install
set -eu
make DESTDIR="/rootfs" install
EOF
FROM stagex/filesystem AS package

View file

@ -50,7 +50,7 @@ RUN --network=none <<-EOF
--prefix=/usr \
--localstatedir=/var/lib \
--with-libdev \
--with-libevent
--with-libevent
make -j "$(nproc)"
EOF

View file

@ -29,9 +29,9 @@ RUN tar -xf ${SRC_FILE}
WORKDIR Linux-PAM-${VERSION}
RUN --network=none <<-EOF
set -eux
export CFLAGS="-flto=auto $(pkg-config --cflags utmps)"
export CFLAGS="-flto=auto $(pkg-config --cflags utmps)"
export LDFLAGS=$(pkg-config --libs utmps)
./configure \
./configure \
--build=${ARCH}-linux-musl \
--host=${ARCH}-linux-musl \
--prefix=/usr \
@ -45,7 +45,7 @@ RUN --network=none <<-EOF
--disable-examples \
--sbindir=/usr/sbin \
--enable-securedir=/usr/lib/security
make -j "$(nproc)"
make -j "$(nproc)"
EOF
FROM build AS install

View file

@ -26,15 +26,15 @@ COPY --from=stagex/gcc /usr/lib64/* /usr/lib/
RUN tar -xf ${SRC_FILE}
WORKDIR llvm-project-${VERSION}.src
RUN set -eux; \
cmake \
-S lld \
-B build \
-G Ninja \
-Wno-dev \
cmake \
-S lld \
-B build \
-G Ninja \
-Wno-dev \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr/ \
-DCMAKE_INSTALL_RPATH=/usr/ \
-DLLVM_ENABLE_ZLIB=FORCE_ON; \
-DLLVM_ENABLE_ZLIB=FORCE_ON; \
cmake --build build
FROM build AS install

View file

@ -22,7 +22,7 @@ COPY *.patch .
RUN --network=none <<-EOF
set -eux \
patch -p1 lmdb-make.patch
export CFLAGS="-O2 -fPIC"
export CFLAGS="-O2 -fPIC"
make -j "$(nproc)"
EOF

View file

@ -22,7 +22,7 @@ WORKDIR DBI-${VERSION}
ENV SOURCE_DATE_EPOCH=1
RUN --network=none <<-EOF
set -eux
perl Makefile.PL
perl Makefile.PL
PERL_MM_USE_DEFAULT="1 perl -I. Makefile.PL INSTALLDIRS=vendor"
make -j "$(nproc)"
EOF

View file

@ -21,7 +21,7 @@ WORKDIR YAML-Syck-${VERSION}
ENV SOURCE_DATE_EPOCH=1
RUN --network=none <<-EOF
set -eux \
export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
PERL_MM_USE_DEFAULT=1 perl -I. Makefile.PL INSTALLDIRS=vendor
make -j "$(nproc)"
EOF

View file

@ -51,22 +51,22 @@ RUN tar -xf php-${VERSION}RC1.tar.gz
WORKDIR php-src-php-${VERSION}RC1
COPY *.patch .
RUN --network=none <<-EOF
set -eux
export CFLAGS="-O2"
export CXXFLAGS="-O2"
patch -p1 fix-lfs64-2.patch
patch -p1 fix-tests-devserver.patch
patch -p1 includedir.patch
patch -p1 install-pear.patch
patch -p1 php83-fpm-verison-suffix.patch
patch -p1 phpinfo-avif.patch
patch -p1 sharedir.patch
export CC=clang-18
set -eux
export CFLAGS="-O2"
export CXXFLAGS="-O2"
patch -p1 fix-lfs64-2.patch
patch -p1 fix-tests-devserver.patch
patch -p1 includedir.patch
patch -p1 install-pear.patch
patch -p1 php83-fpm-verison-suffix.patch
patch -p1 phpinfo-avif.patch
patch -p1 sharedir.patch
export CC=clang-18
export CXX=clang++-18
./buildconf --force
EXTENSION_DIR=/usr/lib/modules ./configure \
--build=x86_64-linux-musl \
--host=x86_64-linux-musl \
./buildconf --force
EXTENSION_DIR=/usr/lib/modules ./configure \
--build=x86_64-linux-musl \
--host=x86_64-linux-musl \
--prefix=/usr \
--program-suffix=php83#php \
--libdir=/usr/lib \
@ -166,10 +166,10 @@ RUN --network=none make INSTALL_ROOT=/rootfs install
FROM build AS test
RUN /bin/sh -c 'set -eux; \
if ! make TEST_PHP_ARGS=-j$(nproc) test; then \
echo "PHP test failed"; \
exit 1; \
fi'
if ! make TEST_PHP_ARGS=-j$(nproc) test; then \
echo "PHP test failed"; \
exit 1; \
fi'
FROM stagex/filesystem AS package
COPY --from=stagex/busybox . /

View file

@ -23,9 +23,9 @@ RUN tar -xvf $SRC_FILE
WORKDIR re2c-${VERSION}
RUN --network=none <<-EOF
set -eux
autoreconf -i -W all
autoreconf -i -W all
./configure \
--prefix=/usr
--prefix=/usr
make -j "$(nproc)"
EOF

View file

@ -20,7 +20,7 @@ RUN tar -xf ${SRC_FILE}
WORKDIR RHash-${VERSION}
RUN --network=none <<-EOF
set -eux
./configure \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--enable-openssl \

View file

@ -18,12 +18,12 @@ RUN tar -xf ${SRC_FILE}
WORKDIR skalibs-${VERSION}
RUN --network=none <<-EOF
set -eux
./configure \
--enable-shared \
./configure \
--enable-shared \
--enable-static \
--prefix=/usr \
--prefix=/usr \
--libdir=/usr/lib
make -j "$(nproc)"
make -j "$(nproc)"
EOF
FROM build AS install

View file

@ -22,7 +22,7 @@ RUN tar -xf ${SRC_FILE}
WORKDIR util-macros-${VERSION}
RUN --network=none <<-EOF
set -eux
./configure \
./configure \
--build=${ARCH}-linux-musl \
--host=${ARCH}-linux-musl \
--prefix=/usr

View file

@ -19,10 +19,10 @@ RUN tar -xf ${SRC_FILE}
WORKDIR utmps-${VERSION}
RUN --network=none <<-EOF
set -eux
./configure \
--enable-shared \
./configure \
--enable-shared \
--enable-static \
--prefix=/usr \
--prefix=/usr \
--disable-allstatic \
--libdir=/usr/lib \
--libexecdir=/lib/utmps \